# Uses of Interface
java.lang.classfile.TypeAnnotation.TypePathComponent

Packages that use TypeAnnotation.TypePathComponent
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.

## Uses of TypeAnnotation.TypePathComponent in java.lang.classfile

Fields in java.lang.classfile declared as TypeAnnotation.TypePathComponent
Modifier and Type
Field
Description
`static final TypeAnnotation.TypePathComponent`
TypeAnnotation.TypePathComponent.`ARRAY`
static instance for annotation is deeper in an array type
`static final TypeAnnotation.TypePathComponent`
TypeAnnotation.TypePathComponent.`INNER_TYPE`
static instance for annotation is deeper in a nested type
`static final TypeAnnotation.TypePathComponent`
TypeAnnotation.TypePathComponent.`WILDCARD`
static instance for annotation is on the bound of a wildcard type argument of a parameterized type
Methods in java.lang.classfile that return TypeAnnotation.TypePathComponent
Modifier and Type
Method
Description
`static TypeAnnotation.TypePathComponent`
TypeAnnotation.TypePathComponent.`of(TypeAnnotation.TypePathComponent.Kind typePathKind, int typeArgumentIndex)`
Returns type path component of an annotation.
Methods in java.lang.classfile that return types with arguments of type TypeAnnotation.TypePathComponent
Modifier and Type
Method
Description
`List<TypeAnnotation.TypePathComponent>`
TypeAnnotation.`targetPath()`
Returns which part of the type indicated by `TypeAnnotation.targetInfo()` is annotated.
Method parameters in java.lang.classfile with type arguments of type TypeAnnotation.TypePathComponent
Modifier and Type
Method
Description
`static TypeAnnotation`
TypeAnnotation.`of(TypeAnnotation.TargetInfo targetInfo, List<TypeAnnotation.TypePathComponent> targetPath, Annotation annotation)`
Returns a `type_annotation` structure.